/* main for testing classify.c
*/

/* Run one test of classify and report result */
void testit(char * testvalue, int expectedReturn) {
   int actualReturn = classify(testvalue);
   if (actualReturn != expectedReturn) 
       printf("ERROR -- expected %i!  ", expectedReturn);
   else
       printf("OK: ");
   printf(" classify(\"%s\") returned %i\n", testvalue, actualReturn);
} //end testit

int main (int argc, char ** argv) {
    char * teststring = "hello";
    if (classify(teststring) != 2) {
	printf("test failed");
    }
    testit(teststring, 2);
    testit("Shouldfail", 3);
    testit("ShouldNotFail", 2);
    testit(" isMixed", -1);
    testit("0", 1);
    testit("a", 2);
    testit("z9", -1);
    testit("okuntilend3",-1);
    testit("space in middle", -1);
    testit("", -1);
    testit("23434343434X343434", -1);
    testit("z223423423423423424234234", -1);
    testit("8989898989090989089098q", -1);
    testit("99000000000000000000000001111111111", 1);
} //end main


